Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1600697 - [OSP/Ceph] ceph-ansible 3.0.27 to 3.0.33 fixes for OSP12
Summary: [OSP/Ceph] ceph-ansible 3.0.27 to 3.0.33 fixes for OSP12
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: ceph-ansible
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: zstream
: 12.0 (Pike)
Assignee: John Fulton
QA Contact: Yogev Rabl
URL:
Whiteboard:
Depends On: 1540845 1544720 1547849 1552327 1561456 1564232 1565850
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-12 19:36 UTC by John Fulton
Modified: 2019-03-28 13:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The upgrade from ceph-ansible 3.0.27 to ceph-ansible 3.0.33 includes the following bug fixes: --Multiple Ceph iSCSI Gateway nodes can now be deployed. Previously, only one Ceph ISCSI Gateway SSL certificate was issued, causing ceph-ansible to fail with the error message [ceph-iscsi-gw: lock SSL file access to root only] --Previously, when using ceph-ansible with the "copy_admin_key" option set to true, the administrator's keyring would not copy to the other nodes in the Ceph Storage Cluster. With this update, the copy_admin_key option works as expected when set to true. --set_fact docker_exec_cmd will now uses an external list of mons if available. --ceph-ansible can now upgrade-ceph base when ceph-test is installed. Previously, the upgrade would fail when ceph-test was installed. --RHCS packages now override Ubuntu packages so that RCHS and Ubuntu can coexist. --The `shrink-osd` playbook now supports NVMe drives. Previously, the `shrink-osd` Ansible playbook did not support shrinking OSDs backed by an NVMe drive.
Clone Of:
Environment:
Last Closed: 2018-07-18 08:07:51 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description John Fulton 2018-07-12 19:36:33 UTC
The following RH BZs are address by updating from ceph-ansible 3.0.27 to 3.0.33

1540845	Failure on TASK [ceph-iscsi-gw : lock ssl file access to root only]
1544720	admin keyring is not copied on to the collocated nodes when copy_admin_key is set to true
1547849	"iscsi-gw" role fails to configure the Tools repository when pointed to CDN
1552327	"set_fact docker_exec_cmd" assumes there will be mons, but does not use the external list of mons if provided
1561456	shrink OSD with NVMe disks - failing as OSD services are not stoppped
1564232	ceph-ansible unable to upgrade ceph-base when ceph-test is installed
1565850	rhcs packages do not override ubuntu.com packages


Note You need to log in before you can comment on or make changes to this bug.